Bug 201761 - Too long refreshing file system after build.
Too long refreshing file system after build.
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0.1
PC Solaris
: P2 (vote)
: 7.1
Assigned To: Vladimir Voskresensky
issues@cnd
701patch2-verified, CR_7086285, oss30
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-07 15:34 UTC by Vladimir Voskresensky
Modified: 2013-05-14 02:23 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2011-09-07 15:34:26 UTC
Bug reproduced on project with large source root.
After build IDE showing build progress forever.
Thread dump show stack:
...
at org.openide.filesystems.FileUtil.refreshFor(FileUtil.java:164)
at org.netbeans.modules.cnd.makeproject.api.ProjectActionSupport.refreshProjectFiles(ProjectActionSupport.java:152)
...
Comment 1 Vladimir Voskresensky 2011-09-07 15:36:22 UTC
This is from CR#7086285

The problem was that source root was pointing to folder which contains links to remote servers.
Comment 2 Vladimir Voskresensky 2011-09-12 12:54:58 UTC
fixed:
http://hg.netbeans.org/cnd-main/rev/b801e7a4abc4

if user dealing with such situations he can switch to "manual" auto-scan mode and it will not block build anymore
Comment 3 Vladimir Kvashin 2011-09-12 15:06:11 UTC
I reviewed the fix; it is correct an safe.
Comment 4 Vladimir Kvashin 2011-09-12 17:41:26 UTC
Additional fix was just pushedto cnd-main by Vladimir, reviewed by me, considered correct and safe:
http://hg.netbeans.org/cnd-main/rev/e61caf08728b
Comment 6 Quality Engineering 2011-09-13 16:06:10 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/b801e7a4abc4
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #201761  -  Too long refreshing file system after build.
- use "manual" auto-scanning mode to redirect FS refresh out of build sequence
Comment 7 Alexander Pepin 2011-09-20 16:43:53 UTC
verified in OSS build 30
Comment 8 Quality Engineering 2011-09-26 13:27:41 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/fe482e90b6af
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #201761  -  Too long refreshing file system after build.
- use "manual" auto-scanning mode to redirect FS refresh out of build sequence
(transplanted from b801e7a4abc475777c968d070e5103fb9d9b63cc)
Comment 9 Alexander Pepin 2011-09-28 10:33:02 UTC
verified in OSS dev build based on 7.0.1 patch2
Comment 10 Quality Engineering 2013-05-14 02:23:53 UTC
Integrated into 'main-golden', will be available in build *201305132300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f157ab8c47dc
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: #201761  -  Too long refreshing file system after build.
- always redirect into RP


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo